Package javax.validation

# Interface Path.Node

All Known Subinterfaces:
  `Path.BeanNode`, `Path.ConstructorNode`, `Path.CrossParameterNode`, `Path.MethodNode`, `Path.ParameterNode`, `Path.PropertyNode`, `Path.ReturnValueNode`

Enclosing interface:
  `Path`

public static interface Path.Node

## Method Summary

Modifier and Type
Method
Description
`<T extends Path.Node>
T`
`as(Class<T> nodeType)`
`Integer`
`getIndex()`
`Object`
`getKey()`
`ElementKind`
`getKind()`
`String`
`getName()`
`boolean`
`isInIterable()`

## Method Details

### getName

String getName()

### isInIterable

boolean isInIterable()

### getIndex

Integer getIndex()

### getKey

Object getKey()

### getKind

ElementKind getKind()

### as

<T extends Path.Node> T as(Class<T> nodeType)